﻿
    @*<script src="https://cdnjs.cloudflare.com/ajax/libs/exceljs/4.3.0/exceljs.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/2.0.0/FileSaver.min.js" type="text/javascript"></script>*@
<script type="text/javascript">

    var _height_Window  = $(window).height();
    var _height_Header  = $('.iq-top-navbar').height();
    var _height_Title   = $('#box_title_table').height();
    var _height_Footer  = $('.iq-footer').height();
    var flag_fixed = false;
    var isMobile = false;
    if ($(window).width() < 760) { isMobile = true;}
    if($(window).width() > 760){
        $('#gridContainer').height(_height_Window - _height_Header  - _height_Footer - 150);
        //flag_fixed = true;
    } else {

        //$('.iq-card-body').height(_height_Window - _height_Header - 15);
        //if($(window).width() > 375){
        //    flag_fixed = true;
        //}else{
        //    flag_fixed = false;
        //}
    }
    var dataSource_1 = [
        {
            "Id" : 1,
            "DonVi": "NBC",
            "IdParent" : 0,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "452,747",
            "NguonHangBooking_USD_1": "1,976,179",
            "NguonHangThucTe_PCS_1": "456,181",
            "NguonHangThucTe_USD_1": "1,921,872",
            "NangLuc_PCS_1": "528,268",
            "NangLuc_USD_1": "2,711,459",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "-749,087",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#01b0f1",
            "Class": "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 2,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Men Jacket",
            "NguonHangBooking_PCS_1": "207,275",
            "NguonHangBooking_USD_1": "1,140,013",
            "NguonHangThucTe_PCS_1": "183,901",
            "NguonHangThucTe_USD_1": "1,011,456",
            "NangLuc_PCS_1": "188,901",
            "NangLuc_USD_1": "1,038,456",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 3,
            "DonVi": "",
            "IdParent" : 2,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "- KHU 1: 48,682</br> - KHU 2: 35,652</br> - DALAT: 16,335</br> - DLINH: 10,284</br> - P.CAT: 37,171</br> - S.TIEN: 32,877</br> - HG: 2,900</br> - GCN: 5,000",
            "NangLuc_USD_1": "- KHU 1: 267,751</br> - KHU 2: 196,086</br> - DALAT: 89,842</br> - DLINH: 56,562</br> - P.CAT: 204,440</br> - S.TIEN: 180,823</br> - HG: 15,950</br> - GCN: 27,000",
            "ChenhLech_PCS_1": "-5,000",
            "ChenhLech_USD_1": "-27,000",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 4,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Men Pant",
            "NguonHangBooking_PCS_1": "78,292",
            "NguonHangBooking_USD_1": "164,413",
            "NguonHangThucTe_PCS_1": "96,177",
            "NguonHangThucTe_USD_1": "201,971",
            "NangLuc_PCS_1": "92,930",
            "NangLuc_USD_1": "195,153",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 5,
            "DonVi": "",
            "IdParent" : 4,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "- DALAT: 43,219</br> - DLINH: 16,110</br> - P.CAT: 9,600</br> - T.QUAN: 8,031</br> - HG: 15,970</br> GCN: 0",
            "NangLuc_USD_1": "- DALAT: 90,759</br> - DLINH: 33,831</br> - P.CAT: 20,160</br> - T.QUAN: 16,865</br> - HG: 33,537</br> GCN: 0",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 6,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Casual Wear",
            "NguonHangBooking_PCS_1": "",
            "NguonHangBooking_USD_1": "",
            "NguonHangThucTe_PCS_1": "",
            "NguonHangThucTe_USD_1": "",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "462,922",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 7,
            "DonVi": "",
            "IdParent" : 6,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "",
            "NguonHangBooking_USD_1": "",
            "NguonHangThucTe_PCS_1": "",
            "NguonHangThucTe_USD_1": "",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "- D.LINH: 20,280</br> - T.QUAN: 166,642</br> - S.TIEN: 138,000</br> - S.TRANG: 138,000</br> - GCN: 0",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 8,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Ladies Jacket",
            "NguonHangBooking_PCS_1": "106,680",
            "NguonHangBooking_USD_1": "357,378",
            "NguonHangThucTe_PCS_1": "126,103",
            "NguonHangThucTe_USD_1": "422,445",
            "NangLuc_PCS_1": "193,437",
            "NangLuc_USD_1": "655,513",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 9,
            "DonVi": "",
            "IdParent" : 8,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "- K.TUM: 84,759</br> - A.NHON: 50,000</br> - A.G: 29,339</br> - GCN: 29,339",
            "NangLuc_USD_1": "- K.TUM: 283,942</br> - A.NHON: 175,000</br> - A.G: 98,285</br> - GCN: 98,285",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 10,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Ladies Pant",
            "NguonHangBooking_PCS_1": "60,500",
            "NguonHangBooking_USD_1": "105,875",
            "NguonHangThucTe_PCS_1": "50,000",
            "NguonHangThucTe_USD_1": "87,500",
            "NangLuc_PCS_1": "53,000",
            "NangLuc_USD_1": "94,500",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 11,
            "DonVi": "",
            "IdParent" : 10,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "- V.THANH: 50,000</br> - GCN: 3,000",
            "NangLuc_USD_1": "- V.THANH: 87,500</br> - GCN: 7,000",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 12,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Shirt",
            "NguonHangBooking_PCS_1": "148,500",
            "NguonHangBooking_USD_1": "",
            "NguonHangThucTe_PCS_1": "148,500",
            "NguonHangThucTe_USD_1": "",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "189,000",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 13,
            "DonVi": "",
            "IdParent" : 12,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "- B.THUAN: 108,000</br> - T.QUAN: 40,500</br> - GCN: 40,500",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 14,
            "DonVi": "",
            "IdParent" : 1,
            "ChungLoai": "Knit",
            "NguonHangBooking_PCS_1": "148,500",
            "NguonHangBooking_USD_1": "",
            "NguonHangThucTe_PCS_1": "148,500",
            "NguonHangThucTe_USD_1": "",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "189,000",
            "ChenhLech_PCS_1": "",
            "ChenhLech_USD_1": "",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#f8cbad",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 15,
            "DonVi": "",
            "IdParent" : 14,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- Motives : 107,000</br> - H&M : 7,275</br> - WORTHY : 100,000",
            "NguonHangBooking_USD_1": "- Motives : 510,000</br> - H&M : 30,000</br> - WORTHY : 600,012",
            "NguonHangThucTe_PCS_1": "- Motives : 100,000</br> - H&M : 6,275</br> - WORTHY : 85,000",
            "NguonHangThucTe_USD_1": "- Motives : 500,000</br> - H&M : 20,000</br> - WORTHY : 400,012",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "- B.DINH: 108,000</br> - S.TRANG: 40,500</br> - GCN: 40,500",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 16,
            "DonVi": "NBC tự ký",
            "IdParent" : 0,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "",
            "NguonHangBooking_USD_1": "698,278",
            "NguonHangThucTe_PCS_1": "",
            "NguonHangThucTe_USD_1": "698,278",
            "NangLuc_PCS_1": "528,268",
            "NangLuc_USD_1": "698,278",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#01b0f1",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 17,
            "DonVi": "",
            "IdParent" : 16,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "",
            "NguonHangBooking_USD_1": "- GIA LAI: 402,500</br> - BAO LOC: 60,000</br> - BINH THUAN: 1,126,977</br> - TUY PHONG: 906,835</br> - DUC LINH: 180,000</br> - BINH DINH: 130,708</br> - AN NHON: 358,700</br> - PHU CAT: 222,000</br> - TAM QUAN: 417,000</br> - HOÀI ÂN: 0</br> - ĐỨC PHỔ: 0</br> - SONG TIEN: 9,358</br> - AN GIANG: 85,920</br> - HAU GIANG: 186,000</br> - SOC TRANG: 0",
            "NguonHangThucTe_PCS_1": "",
            "NguonHangThucTe_USD_1": "- GIA LAI: 402,500</br> - BAO LOC: 60,000</br> - BINH THUAN: 1,126,977</br> - TUY PHONG: 906,835</br> - DUC LINH: 180,000</br> - BINH DINH: 130,708</br> - AN NHON: 358,700</br> - PHU CAT: 222,000</br> - TAM QUAN: 417,000</br> - HOÀI ÂN: 0</br> - ĐỨC PHỔ: 0</br> - SONG TIEN: 9,358</br> - AN GIANG: 85,920</br> - HAU GIANG: 186,000</br> - SOC TRANG: 0",
            "NangLuc_PCS_1": "",
            "NangLuc_USD_1": "- GIA LAI: 402,500</br> - BAO LOC: 60,000</br> - BINH THUAN: 1,126,977</br> - TUY PHONG: 906,835</br> - DUC LINH: 180,000</br> - BINH DINH: 130,708</br> - AN NHON: 358,700</br> - PHU CAT: 222,000</br> - TAM QUAN: 417,000</br> - HOÀI ÂN: 0</br> - ĐỨC PHỔ: 0</br> - SONG TIEN: 9,358</br> - AN GIANG: 85,920</br> - HAU GIANG: 186,000</br> - SOC TRANG: 0",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 18,
            "DonVi": "VSC",
            "IdParent" : 0,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "976,547",
            "NguonHangBooking_USD_1": "936,000",
            "NguonHangThucTe_PCS_1": "976,547",
            "NguonHangThucTe_USD_1": "936,000",
            "NangLuc_PCS_1": "976,547",
            "NangLuc_USD_1": "936,000",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#01b0f1",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 19,
            "DonVi": "",
            "IdParent" : 18,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- VSC- BAC LIEU: 433,333</br> - VSC- CAN THO: 357,500</br> - VSC- K.GIANG: 185,714",
            "NguonHangBooking_USD_1": "- VSC- BAC LIEU: 390,000</br> - VSC- CAN THO: 286,000</br> - VSC- K.GIANG: 260,000",
            "NguonHangThucTe_PCS_1": "- VSC- BAC LIEU: 433,333</br> - VSC- CAN THO: 357,500</br> - VSC- K.GIANG: 185,714",
            "NguonHangThucTe_USD_1": "- VSC- BAC LIEU: 390,000</br> - VSC- CAN THO: 286,000</br> - VSC- K.GIANG: 260,000",
            "NangLuc_PCS_1": "- VSC- BAC LIEU: 433,333</br> - VSC- CAN THO: 357,500</br> - VSC- K.GIANG: 185,714",
            "NangLuc_USD_1": "- VSC- BAC LIEU: 390,000</br> - VSC- CAN THO: 286,000</br> - VSC- K.GIANG: 260,000",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
        {
            "Id" : 20,
            "DonVi": "Vinatex Đà Nẵng",
            "IdParent" : 0,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "363,000",
            "NguonHangBooking_USD_1": "1,041,000",
            "NguonHangThucTe_PCS_1": "333,000",
            "NguonHangThucTe_USD_1": "1,041,000",
            "NangLuc_PCS_1": "363,000",
            "NangLuc_USD_1": "1,041,000",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#01b0f1",
            "Class" : "dongtong1",
            "IsDetail" : "0"
        },
        {
            "Id" : 21,
            "DonVi": "",
            "IdParent" : 20,
            "ChungLoai": "",
            "NguonHangBooking_PCS_1": "- THANH SƠN: 125,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 238,000",
            "NguonHangBooking_USD_1": "- THANH SƠN: 476,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 565,000",
            "NguonHangThucTe_PCS_1": "- THANH SƠN: 125,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 238,000",
            "NguonHangThucTe_USD_1": "- THANH SƠN: 476,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 565,000",
            "NangLuc_PCS_1": "- THANH SƠN: 125,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 238,000",
            "NangLuc_USD_1": "- THANH SƠN: 476,000</br> - DUNG QUẤT: 0</br> - NGHĨA HÀNH: 0</br> - PHÙ MỸ: 565,000",
            "ChenhLech_PCS_1": "0",
            "ChenhLech_USD_1": "0",
            "TuanTruoc_1": "",
            "GhiChu": "",
            "Color": "#fff",
            "Class" : "",
            "IsDetail" : "1"
        },
    ];
    var data_row_expanded = [1];
    
    var mergelements = {};
    
    function All_Colum_12_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
                Group_1_Thang(ls[10],11),
                Group_1_Thang(ls[11],12),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
                Group_1_Thang(ls[10],11),
                Group_1_Thang(ls[11],12),
            ];
        }
    }
    function All_Colum_11_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
                Group_1_Thang(ls[10],11),
            ];
        } else {
             return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
                Group_1_Thang(ls[10],11),
            ];
        }
    }
    function All_Colum_10_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
                Group_1_Thang(ls[9],10),
            ];
        }
    }
    function All_Colum_9_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
                Group_1_Thang(ls[8],9),
            ];
        }
    }
    function All_Colum_8_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
                Group_1_Thang(ls[7],8),
            ];
        }
    }
    function All_Colum_7_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
                Group_1_Thang(ls[6],7),
            ];
        }
    }
    function All_Colum_6_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
                Group_1_Thang(ls[5],6),
            ];
        }
    }
    function All_Colum_5_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
                Group_1_Thang(ls[4],5),
            ];
        }
    }
    function All_Colum_4_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
                Group_1_Thang(ls[3],4),
            ];
        }
    }
    function All_Colum_3_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
                Group_1_Thang(ls[2],3),
            ];
        }
    }
    function All_Colum_2_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
            ];
        } else {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(ls[0],1),
                Group_1_Thang(ls[1],2),
            ];
        }
    }
    function All_Colum_1_Month(Thang) {
        if ($(window).width() > 800) {
            return [
                {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(Thang,1),
            ];
        } else {
            return [
                 {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",allowSorting: false,
                },
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",allowSorting: false,
                },
                Group_1_Thang(Thang,1),
            ];
        }
    }
    function Group_1_Thang(Thang,i) {
        var T = Thang;
        Thang = Thang.split('/')[0];
        console.log(Thang);
        return {
                        caption: "THÁNG " + T,
                        alignment: "center",
                        columns: [
                            {
                                alignment: "center",
                                caption: "Nguồn hàng (Booking)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",allowSorting: false,
                                        dataField: "NguonHangBooking_PCS_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNguonHang(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    },
                                    {
                                        caption: "DT (USD)",allowSorting: false,
                                        dataField: "NguonHangBooking_USD_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNguonHang(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    }
                                ],
                                
                            },{
                                alignment: "center",
                                caption: "Nguồn hàng (thực tế)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",allowSorting: false,
                                        dataField: "NguonHangThucTe_PCS_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNguonHang(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    },
                                    {
                                        caption: "DT (USD)",allowSorting: false,
                                        dataField: "NguonHangThucTe_USD_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNguonHang(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Năng lực SX",
                                columns: [
                                    {
                                        caption: "SL (PCS)",allowSorting: false,
                                        dataField: "NangLuc_PCS_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNangLuc(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    },
                                    {
                                        caption: "DT (USD)",allowSorting: false,
                                        dataField: "NangLuc_USD_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowNangLuc(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Chênh Lệch (ttế)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",allowSorting: false,
                                        dataField: "ChenhLech_PCS_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowChenhLech(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    },
                                    {
                                        caption: "DT (USD)",allowSorting: false,
                                        dataField: "ChenhLech_USD_"+i,
                                        alignment: "right",
                                        cellTemplate: function (container, options) {
                                            if (options.data.IsDetail == "0")
                                                $("<p style='text-align:left;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                            else
                                                $("<p onclick='ShowChenhLech(" + options.data.Id + ")' style='text-align:left; cursor:pointer;margin:0px;'>" + options.value + "</p>").appendTo(container);
                                        }
                                    }
                                ]
                            },{
                                alignment: "center",allowSorting: false,
                                caption: "+/-  Tuần trước",
                                columns: [
                                    {
                                        caption: "DT (USD)",
                                        dataField: "TuanTruoc_"+i,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",allowSorting: false,
                                caption: "Ghi chú",
                                dataField: "GhiChu_"+i,
                            }
                        ]
        }
    }
    function General_Group_Month(type) {
        
        var l = type.split(',').length;
            if ( l == 1)
                return All_Colum_1_Month(type);
            if ( l == 2)
                return All_Colum_2_Month(type);
            else if ( l == 3)
                return All_Colum_3_Month(type);
            else if ( l == 4)
                return All_Colum_4_Month(type);
            else if ( l == 5)
                return All_Colum_5_Month(type);
            else if ( l == 6)
                return All_Colum_6_Month(type);
            else if ( l == 7)
                return All_Colum_7_Month(type);
            else if ( l == 8)
                return All_Colum_8_Month(type);
            else if ( l == 9)
                return All_Colum_9_Month(type);
            else if ( l == 10)
                return All_Colum_10_Month(type);
            else if ( l == 11)
                return All_Colum_11_Month(type);
            else if ( l == 12)
                return All_Colum_12_Month(type);
    }
    function LoadTable(type, dataS) {
        $('#gridContainer').dxTreeList({
                expandedRowKeys: data_row_expanded,
                dataSource: dataS,
                keyExpr: 'Id',
                parentIdExpr : "IdParent",
                showBorders: true,
                showRowLines: true,
                paging: {
                    enabled: false
                },
                loadPanel: {
                    enabled: true
                },
                columnAutoWidth: true,
                //columnHidingEnabled: true,
                allowColumnResizing: true,
                scrolling: {
                  mode: 'virtual',
                },
                columnFixing: {
                    enabled: true
                },
                filterRow: {
                    visible: false,
                    applyFilter: 'auto',
                },
                //export: {
                //  enabled: true,
                //  allowExportSelectedData: true,
                //},
                //onExporting(e) {
                //  const workbook = new ExcelJS.Workbook();
                //  const worksheet = workbook.addWorksheet('Employees');

                //  DevExpress.excelExporter.exportDataGrid({
                //    component: e.component,
                //    worksheet,
                //    autoFilterEnabled: true,
                //  }).then(() => {
                //    workbook.xlsx.writeBuffer().then((buffer) => {
                //      saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Employees.xlsx');
                //    });
                //  });
                //  e.cancel = true;
                //},
                headerFilter: { visible: false },
                //onCellPrepared: function (cellInfo) {
                //    if (cellInfo.rowType == "data") {
                //        if (cellInfo.data.Class != "dongtong1") {
                //            cellInfo.cellElement.addClass("mergecells");
                //            //color cell on selection
                //            cellInfo.cellElement.click(function () {
                //                $(".mergecellselected").removeClass("mergecellselected")
                //                $(this).addClass("mergecellselected");
                //            });
                //            if (cellInfo.rowIndex > 0 && cellInfo.column.command != "edit") {
                //                if (cellInfo.component.cellValue(cellInfo.rowIndex - 1, cellInfo.column.dataField) == cellInfo.value) {
                //                    if (cellInfo.component.cellValue(cellInfo.rowIndex - 1, cellInfo.column.dataField)) {
                //                        var prev = mergelements[cellInfo.rowIndex - 1][cellInfo.column.dataField]
                //                        if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                        mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = prev;
                //                        if (prev) {
                //                            cellInfo.cellElement.css("display", "none");
                //                            var span = prev.attr('rowspan');
                //                            if (span)
                //                                prev.attr('rowspan', Number(span) + 1);
                //                            else
                //                                prev.attr('rowspan', 2);
                //                        }
                //                    }
                //                    else {
                //                        if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                        mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;
                //                    }

                //                }
                //                else {
                //                    if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                    mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;

                //                }
                //            }
                //            else {
                //                if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;
                //            }
                //        }
                //    }

                //},
                onRowPrepared(e) {  // xu ly mau cho row
                    if (e.rowType == 'header') {
                        e.rowElement[0].bgColor = "#87fbb9";
                        e.rowElement[0].className += " dongtong0";
                    } else if (e.rowType == 'data') {
                        e.rowElement[0].bgColor = e.data.Color;
                        e.rowElement[0].className += " " + e.data.Class;
                    }
                },
                onCellClick: function (e) {  
                    if (e.rowType == 'data') {
                        var fieldName = e.column.dataField.split('_');
                        console.log(fieldName);
                        if (fieldName[0].includes("ChenhLech"))
                            ShowChenhLech(fieldName[2]);
                        else if (fieldName[0].includes("NguonHang"))
                            ShowNguonHang(fieldName[2]);
                        else if (fieldName[0].includes("NangLuc"))
                            ShowNangLuc(fieldName[2]);
                    }  
                },
                columns: General_Group_Month(type),
        });
    }
    $( document ).ready(function() {
        $('#btnXem').click();
    });
    
    function ShowNguonHang(Id) {
        var data_nguonhang_detail = [];
        console.log("Id : ", Id);
        if (isMobile)
            data_nguonhang_detail = [
                {
                    "Id" : 1,
                    "IdParent": 3,
                    "KhachHang": "Motives",
                    "Booking_PCS": "107,000",
                    "Booking_USD": "510,000",
                    "ThucTe_PCS": "100,000",
                    "ThucTe_USD": "500,000",
                    "ChenhLech_PCS": "7,000",
                    "ChenhLech_USD": "10,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                }, {
                    "Id" : 2,
                    "IdParent": 3,
                    "KhachHang": "H&M",
                    "Booking_PCS": "7,275",
                    "Booking_USD": "30,000",
                    "ThucTe_PCS": "6,275",
                    "ThucTe_USD": "20,000",
                    "ChenhLech_PCS": "1,000",
                    "ChenhLech_USD": "10,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                }, {
                    "Id" : 2,
                    "IdParent": 3,
                    "KhachHang": "WORTHY",
                    "Booking_PCS": "100,000",
                    "Booking_USD": "612,000",
                    "ThucTe_PCS": "85,000",
                    "ThucTe_USD": "400,000",
                    "ChenhLech_PCS": "15,000",
                    "ChenhLech_USD": "212,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                },
            ];
        else
            data_nguonhang_detail = [
                {
                    "Id" : 1,
                    "IdParent": 3,
                    "KhachHang": "Motives",
                    "Booking_PCS": "107,000",
                    "Booking_USD": "510,000",
                    "ThucTe_PCS": "100,000",
                    "ThucTe_USD": "500,000",
                    "ChenhLech_PCS": "7,000",
                    "ChenhLech_USD": "10,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                }, {
                    "Id" : 2,
                    "IdParent": 3,
                    "KhachHang": "H&M",
                    "Booking_PCS": "7,275",
                    "Booking_USD": "30,000",
                    "ThucTe_PCS": "6,275",
                    "ThucTe_USD": "20,000",
                    "ChenhLech_PCS": "1,000",
                    "ChenhLech_USD": "10,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                }, {
                    "Id" : 2,
                    "IdParent": 3,
                    "KhachHang": "WORTHY",
                    "Booking_PCS": "100,000",
                    "Booking_USD": "612,000",
                    "ThucTe_PCS": "85,000",
                    "ThucTe_USD": "400,000",
                    "ChenhLech_PCS": "15,000",
                    "ChenhLech_USD": "212,000",
                    "Color": "#fff",
                    "Class": "dongtong1",
                },
            ];
        if (isMobile) {
            console.log('mobile');
            $('#gridContainerNguonHang').dxDataGrid({
                dataSource: data_nguonhang_detail,
                keyExpr: 'Id',
                showBorders: true,
                showRowLines: true,
                columnAutoWidth: true,
                allowColumnResizing: true,
                columnHidingEnabled: false,
                columnFixing: {
                    enabled: true
                },
                loadPanel: {
                    enabled: true
                },
                onRowPrepared(e) {  // xu ly mau cho row
                    if (e.rowType == 'header') {
                        e.rowElement[0].bgColor = "#87fbb9";
                        e.rowElement[0].className += " dongtong0";
                    } else if (e.rowType == 'data') {
                        e.rowElement[0].bgColor = e.data.Color;
                        e.rowElement[0].className += " " + e.data.Class;
                    }
                },
                columns: [
                    {
                        headerCellTemplate: function (header, info) {
                            $('<div>')
                                .html("Khách</br>hàng")
                                .appendTo(header);
                        },
                        dataField: "KhachHang",
                        alignment: "left",
                        fixed: "left",
                        cellTemplate: function (container, options) {
                            $("<div>" + options.value + "</div>").appendTo(container);
                        }
                    },{
                        dataField: "Booking_PCS",
                        alignment: "right",
                        cellTemplate: function (container, options) {
                            $("<div>" + options.value + " PCS</br>" + options.data.Booking_USD + " USD</div>").appendTo(container);
                        }
                    },{
                        caption: "Thực tế",
                        dataField: "ThucTe_PCS",
                        alignment: "right",
                        cellTemplate: function (container, options) {
                            $("<div>" + options.value + " PCS</br>" + options.data.ThucTe_USD + " USD</div>").appendTo(container);
                        }
                    },{
                        dataField: "ChenhLech_PCS",
                        caption: "Chênh lệch",
                        alignment: "right",
                        cellTemplate: function (container, options) {
                            $("<div>" + options.value + " PCS</br>" + options.data.ChenhLech_USD + " USD</div>").appendTo(container);
                        }
                    },
                ]
            });
        } else {
            $('#gridContainerNguonHang').dxDataGrid({
                dataSource: data_nguonhang_detail,
                keyExpr: 'Id',
                showBorders: true,
                showRowLines: true,
                paging: {
                    enabled: false
                },
                loadPanel: {
                    enabled: true
                },

                columnAutoWidth: true,
                allowColumnResizing: true,
                columnHidingEnabled: false,
                columnFixing: {
                    enabled: false
                },
                onRowPrepared(e) {  // xu ly mau cho row
                    if (e.rowType == 'header') {
                        e.rowElement[0].bgColor = "#87fbb9";
                        e.rowElement[0].className += " dongtong0";
                    } else if (e.rowType == 'data') {
                        e.rowElement[0].bgColor = e.data.Color;
                        e.rowElement[0].className += " " + e.data.Class;
                    }
                },
                columns: [
                    {
                        caption : "Khách hàng",
                        dataField: "KhachHang",
                        alignment: "left"
                    },{
                        caption : "Booking (PCS)",
                        dataField: "Booking_PCS",
                        alignment: "right"
                    },{
                        caption : "Booking (USD)",
                        dataField: "Booking_USD",
                        alignment: "right"
                    },{
                        caption : "Thực tế (PCS)",
                        dataField: "ThucTe_PCS",
                        alignment: "right"
                    },{
                        caption : "Thực tế (USD)",
                        dataField: "ThucTe_USD",
                        alignment: "right"
                    },{
                        caption : "Chênh lệch (PCS)",
                        dataField: "ChenhLech_PCS",
                        alignment: "right"
                    },{
                        caption : "Chênh lệch (USD)",
                        dataField: "ChenhLech_USD",
                        alignment: "right"
                    },
                ]
            });
        }
        
        $("#modal_ShowNguonHang").modal();
        setTimeout(function () {
            $('.btnLamMoi_ShowNguonHang').click();
        },100);

    }
    $('.btnLamMoi_ShowNguonHang').click(function () {
        var dataGrid = $('#gridContainerNguonHang').dxDataGrid('instance');
        dataGrid.refresh();
    });
    function ShowNangLuc() {
        var data_nangluc_detail = [
            {
                "Id" : 1,
                "IdParent": 0,
                "DonVi": "Khu 1",
                "XiNghiep": "",
                "SoChuyen": "3",
                "SoLD": "700",
                "NangLuc": "48,682",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 41,
                "IdParent": 1,
                "DonVi": "",
                "XiNghiep": "C1",
                "SoChuyen": "",
                "SoLD": "200",
                "NangLuc" : "16,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 42,
                "IdParent": 1,
                "DonVi": "",
                "XiNghiep": "C2",
                "SoChuyen": "",
                "SoLD": "200",
                "NangLuc" : "16,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 43,
                "IdParent": 1,
                "DonVi": "",
                "XiNghiep": "C3",
                "SoChuyen": "",
                "SoLD": "300",
                "NangLuc" : "16,682",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 2,
                "IdParent": 0,
                "DonVi": "Khu 2",
                "XiNghiep": "",
                "SoChuyen": "2",
                "SoLD": "400",
                "NangLuc": "35,652",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 44,
                "IdParent": 2,
                "DonVi": "",
                "XiNghiep": "C1",
                "SoChuyen": "",
                "SoLD": "200",
                "NangLuc" : "17,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 45,
                "IdParent": 2,
                "DonVi": "",
                "XiNghiep": "C2",
                "SoChuyen": "",
                "SoLD": "200",
                "NangLuc" : "18,652",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 3,
                "IdParent": 0,
                "DonVi": "ĐÀ LẠT",
                "XiNghiep": "",
                "SoChuyen": "1",
                "SoLD": "200",
                "NangLuc": "16,335",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 4,
                "IdParent": 3,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "200",
                "NangLuc" : "16,335",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 7,
                "IdParent": 0,
                "DonVi": "ĐỨC LINH",
                "XiNghiep": "",
                "SoChuyen": "2",
                "SoLD": "250",
                "NangLuc": "10,284",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 8,
                "IdParent": 7,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "5,284",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 9,
                "IdParent": 7,
                "DonVi": "",
                "XiNghiep": "XN1-C2",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "5,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 10,
                "IdParent": 0,
                "DonVi": "PHÙ CÁT",
                "XiNghiep": "",
                "SoChuyen": "1",
                "SoLD": "300",
                "NangLuc": "37,171",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 11,
                "IdParent": 10,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "300",
                "NangLuc" : "37,171",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 13,
                "IdParent": 0,
                "DonVi": "SÔNG TIỀN",
                "XiNghiep": "",
                "SoChuyen": "2",
                "SoLD": "300",
                "NangLuc": "32,877",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 14,
                "IdParent": 13,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "150",
                "NangLuc" : "15,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 15,
                "IdParent": 13,
                "DonVi": "",
                "XiNghiep": "XN1-C2",
                "SoChuyen": "",
                "SoLD": "150",
                "NangLuc" : "17,877",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 17,
                "IdParent": 0,
                "DonVi": "HẬU GIANG",
                "XiNghiep": "",
                "SoChuyen": "4",
                "SoLD": "400",
                "NangLuc" : "2,900",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 18,
                "IdParent": 17,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 19,
                "IdParent": 17,
                "DonVi": "",
                "XiNghiep": "XN1-C2",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 20,
                "IdParent": 17,
                "DonVi": "",
                "XiNghiep": "XN1-C3",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 21,
                "IdParent": 17,
                "DonVi": "",
                "XiNghiep": "XN1-C1",
                "SoChuyen": "",
                "SoLD": "100",
                "NangLuc" : "800",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 22,
                "IdParent": 0,
                "DonVi": "GIA CÔNG NGOÀI",
                "XiNghiep": "",
                "SoChuyen": "",
                "SoLD": "",
                "NangLuc" : "5,000",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },
        ];
        $('#gridContainerNangLuc').dxDataGrid({
            dataSource: data_nangluc_detail,
            keyExpr: 'Id',
            showBorders: true,
            showRowLines: true,
            paging: {
                enabled: false
            },
                loadPanel: {
                    enabled: true
                },
            allowColumnResizing: isMobile,
            columnAutoWidth: false,
            allowColumnResizing: true,
            columnFixing: {
                enabled: true
            },
            onRowPrepared(e) {  // xu ly mau cho row
                if (e.rowType == 'header') {
                    e.rowElement[0].bgColor = "#87fbb9";
                    e.rowElement[0].className += " dongtong0";
                } else if (e.rowType == 'data') {
                    e.rowElement[0].bgColor = e.data.Color;
                    e.rowElement[0].className += " " + e.data.Class;
                }
            },
            columns: [
                {
                    dataField: "DonVi",
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("Đơn vị </br> XN")
                            .appendTo(header);
                    },allowSorting: false,
                    cellTemplate: function (container, options) {
                        if (options.data.Class == "dongtong1")
                            $("<div style='text-align:left'>" + options.value + "" + options.data.XiNghiep + "</div>").appendTo(container);
                        else
                            $("<div style='text-align:right'>" + options.value + "" + options.data.XiNghiep + "</div>").appendTo(container);
                    }
                },
                //{
                //    caption : "Xí nghiệp",
                //    dataField: "XiNghiep",
                //    alignment: "left"
                //},
                {
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("Số </br> chuyền")
                            .appendTo(header);
                    },
                    dataField: "SoChuyen",allowSorting: false,
                    alignment: "center"
                },
                {
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("Lao </br> động")
                            .appendTo(header);
                    },
                    dataField: "SoLD",allowSorting: false,
                    alignment: "center"
                },{
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("Năng lực </br> (PCS)")
                            .appendTo(header);
                    },
                    dataField: "NangLuc",allowSorting: false,
                    alignment: "right"
                },
            ]
        });
        $("#modal_ShowNangLuc").modal();
        setTimeout(function () {
            $('.btnLamMoi_ShowNangLuc').click();
        },100);
    }
    $('.btnLamMoi_ShowNangLuc').click(function () {
        var dataGrid = $('#gridContainerNangLuc').dxDataGrid('instance');
        dataGrid.refresh();
    });
    function ShowChenhLech() {
        var data_chenhlech_detail = [
            {
                "Id" : 1,
                "IdParent": 0,
                "KhachHang": "Motives",
                "DonVi": "",
                "Chuyen": "",
                "SoLuong": "",
                "Color": "bisque",
                "Class": "dongtong1",
            }, {
                "Id" : 2,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "Nguồn hàng",
                "Chuyen": "",
                "SoLuong": "100,000",
                "Color": "#fff",
                "Class": "dongtong2",
            }, {
                "Id" : 3,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "Chưa sắp được",
                "Chuyen": "",
                "SoLuong": "0",
                "Color": "#fff",
                "Class": "dongtong2",
            }, {
                "Id" : 4,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "KHU 1",
                "Chuyen": "",
                "SoLuong": "48,682",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 5,
                "IdParent": 4,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C1",
                "SoLuong": "16,000",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 6,
                "IdParent": 4,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C2",
                "SoLuong": "16,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 7,
                "IdParent": 4,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C3",
                "SoLuong": "16,682",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 8,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "KHU 2",
                "Chuyen": "",
                "SoLuong": "35,652",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 9,
                "IdParent": 8,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C1",
                "SoLuong": "18,000",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 10,
                "IdParent": 8,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C2",
                "SoLuong": "17,652",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 11,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "ĐÀ LẠT",
                "Chuyen": "",
                "SoLuong": "16,335",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },   {
                "Id" : 12,
                "IdParent": 11,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "16,335",
                "Color": "#fff",
                "Class": "",
            },  {
                "Id" : 13,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "ĐỨC LINH",
                "Chuyen": "",
                "SoLuong": "10,284",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 14,
                "IdParent": 13,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "5,284",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 15,
                "IdParent": 13,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C2",
                "SoLuong": "5,000",
                "Color": "#fff",
                "Class": "",
            },  {
                "Id" : 16,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "PHÙ CÁT",
                "Chuyen": "",
                "SoLuong": "37,171",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 17,
                "IdParent": 16,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "37,171",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 18,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "SÔNG TIỀN",
                "Chuyen": "",
                "SoLuong": "32,877",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 19,
                "IdParent": 18,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "17,877",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 20,
                "IdParent": 18,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C2",
                "SoLuong": "15,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 21,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "HẬU GIANG",
                "Chuyen": "",
                "SoLuong": "2,900",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 22,
                "IdParent": 21,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 23,
                "IdParent": 21,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C2",
                "SoLuong": "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 24,
                "IdParent": 21,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C3",
                "SoLuong": "700",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 25,
                "IdParent": 21,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C4",
                "SoLuong": "800",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 26,
                "IdParent": 1,
                "KhachHang": "",
                "DonVi": "GCN",
                "Chuyen": "",
                "SoLuong": "-5,000",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },// H&M
            {
                "Id" : 27,
                "IdParent": 0,
                "KhachHang": "H&M",
                "DonVi": "",
                "Chuyen": "",
                "SoLuong": "",
                "Color": "bisque",
                "Class": "dongtong1",
            }, {
                "Id" : 28,
                "IdParent": 27,
                "KhachHang": "",
                "DonVi": "Nguồn hàng",
                "Chuyen": "",
                "SoLuong": "6,275",
                "Color": "#fff",
                "Class": "dongtong2",
            }, {
                "Id" : 29,
                "IdParent": 27,
                "KhachHang": "",
                "DonVi": "Chưa sắp được",
                "Chuyen": "",
                "SoLuong": "0",
                "Color": "#fff",
                "Class": "dongtong2",
            },{
                "Id" : 30,
                "IdParent": 27,
                "KhachHang": "",
                "DonVi": "ĐÀ LẠT",
                "Chuyen": "",
                "SoLuong": "6,275",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },   {
                "Id" : 31,
                "IdParent": 30,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1 - C1",
                "SoLuong": "6,275",
                "Color": "#fff",
                "Class": "",
            },// WORTHY
            {
                "Id" : 32,
                "IdParent": 0,
                "KhachHang": "WORTHY",
                "DonVi": "",
                "Chuyen": "",
                "SoLuong": "",
                "Color": "bisque",
                "Class": "dongtong1",
            }, {
                "Id" : 33,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "Nguồn hàng",
                "Chuyen": "",
                "SoLuong": "85,000",
                "Color": "#fff",
                "Class": "dongtong2",
            }, {
                "Id" : 34,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "Chưa sắp được",
                "Chuyen": "",
                "SoLuong": "-5,000",
                "Color": "#fff",
                "Class": "dongtong2",
            }, {
                "Id" : 35,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "KHU 1",
                "Chuyen": "",
                "SoLuong": "18,682",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            }, {
                "Id" : 36,
                "IdParent": 35,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C1",
                "SoLuong": "16,000",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 37,
                "IdParent": 35,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "C2",
                "SoLuong": "16,000",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 38,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "ĐÀ LẠT",
                "Chuyen": "",
                "SoLuong": "16,335",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },   {
                "Id" : 39,
                "IdParent": 38,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "16,335",
                "Color": "#fff",
                "Class": "",
            },  {
                "Id" : 40,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "ĐỨC LINH",
                "Chuyen": "",
                "SoLuong": "10,284",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },{
                "Id" : 41,
                "IdParent": 40,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C1",
                "SoLuong": "5,284",
                "Color": "#fff",
                "Class": "",
            }, {
                "Id" : 42,
                "IdParent": 40,
                "KhachHang": "",
                "DonVi": "",
                "Chuyen": "XN1-C2",
                "SoLuong": "5,000",
                "Color": "#fff",
                "Class": "",
            },{
                "Id" : 43,
                "IdParent": 32,
                "KhachHang": "",
                "DonVi": "GCN",
                "Chuyen": "",
                "SoLuong": "-5,000",
                "Color": "#ccebfb",
                "Class": "dongtong1",
            },
        ];
        var data_row_expanded_chenhlech = [1, 27,32];

        $('#gridContainerChenhLech').dxTreeList({
            dataSource: data_chenhlech_detail,
            keyExpr: 'Id',
            parentIdExpr: "IdParent",
            expandedRowKeys: data_row_expanded_chenhlech,
            showBorders: true,
            showRowLines: true,
            paging: {
                enabled: false
            },
            allowColumnResizing: isMobile,

            columnAutoWidth: false,
            allowColumnResizing: true,
            columnFixing: {
                enabled: false
            },
            onRowPrepared(e) {  // xu ly mau cho row
                if (e.rowType == 'header') {
                    e.rowElement[0].bgColor = "#87fbb9";
                    e.rowElement[0].className += " dongtong0";
                } else if (e.rowType == 'data') {
                    e.rowElement[0].bgColor = e.data.Color;
                    e.rowElement[0].className += " " + e.data.Class;
                }
            },
            columns: [
                {
                    caption : "Khách hàng",
                    dataField: "KhachHang",allowSorting: false,
                    alignment: "left"
                },{
                    dataField: "DonVi",allowSorting: false,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("Đơn vị </br> Chuyền")
                            .appendTo(header);
                    },
                    cellTemplate: function (container, options) {
                        if (options.data.Class == "dongtong1" || options.data.Class =="dongtong2")
                            $("<div style='text-align:left'>" + options.value + "" + options.data.Chuyen + "</div>").appendTo(container);
                        else
                            $("<div style='text-align:right'>" + options.value + "" + options.data.Chuyen + "</div>").appendTo(container);
                    }
                },
                //{
                //    caption : "Chuyền",
                //    dataField: "Chuyen",
                //    alignment: "center"
                //},
                {
                    caption : "Số lượng",
                    dataField: "SoLuong",
                    alignment: "center"
                },
            ]
        });
        $("#modal_ShowChenhLech").modal();
        setTimeout(function () {
            $('.btnLamMoi_ShowChenhLech').click();
        },100);
    }
    $('.btnLamMoi_ShowChenhLech').click(function () {
        var dataGrid = $('#gridContainerChenhLech').dxTreeList('instance');
        dataGrid.refresh();
    });
    $('#btnXem').click(function () {
        var lsThang = '';
        var Thang = $('.Thang').select2("val");
        for (var i = 0; i <= Thang.length-1; i++) {
            if(i==0) lsThang = ''+Thang[i];
            else lsThang +=',' + Thang[i];
        }
        if(Thang.length == 1)
            $('.TieuDe').html("Năng lực sản xuất tháng " + lsThang );
        else
            $('.TieuDe').html("Năng lực sản xuất các tháng " + lsThang );
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_Tong(lsThang);
    });
    $('#btnXemTuanHienTai').click(function () {
        $('.TieuDe').html("Năng lực sản xuất theo tuần hiện tại") ;
        LoadDataSource_Tong(@DateTime.Now.Month +'/' + @DateTime.Now.Year);
    });
    $('#btnXemThangHienTai').click(function () {
        $('.TieuDe').html("Năng lực sản xuất theo tháng " + @DateTime.Now.Month + "/" + @DateTime.Now.Year) ;
        //LoadTable(1, dataSource_1);
        LoadDataSource_Tong(@DateTime.Now.Month +'/' + @DateTime.Now.Year);
    });
    $('#btnXemQuyHienTai').click(function () {
        var Quy = '';
        var lsThang = '';
        var today = new Date();
        if (today.getMonth() + 1 >= 1 && today.getMonth() + 1 <= 3) {
            Quy = '1'; lsThang = '1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 4 && today.getMonth() + 1 <= 6) {
            Quy = '2';lsThang = '4/' + today.getFullYear() + ',5/'+today.getFullYear() +',6/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 7 && today.getMonth() + 1 <= 9) {
            Quy = '3';lsThang = '7/' + today.getFullYear() + ',8/'+today.getFullYear() +',9/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 10 && today.getMonth() + 1 <= 12) {
            Quy = '4';lsThang = '10/' + today.getFullYear() + ',11/'+today.getFullYear() +',12/'+today.getFullYear();
        }
        $('.TieuDe').html("Năng lực sản xuất theo quý " + Quy + " năm " + @DateTime.Now.Year);
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_Tong(lsThang);
    });
    $('#btnXemNamHienTai').click(function () {
        var today = new Date();
        $('.TieuDe').html("Năng lực sản xuất theo năm " + @DateTime.Now.Year);
        //LoadTable('1,2,3,4,5,6,7,8,9,10,11,12', dataSource_1);
        LoadDataSource_Tong('1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear()+',4/'+today.getFullYear()+',5/'+today.getFullYear()+',6/'+today.getFullYear()+',7/'+today.getFullYear()+',8/'+today.getFullYear()+',9/'+today.getFullYear()+',10/'+today.getFullYear()+',11/'+today.getFullYear()+',12/'+today.getFullYear());
    });

    $('#btnXem_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var lsThang = '';
        var Thang = $('.Thang').select2("val");
        for (var i = 0; i <= Thang.length-1; i++) {
            if(i==0) lsThang = ''+Thang[i];
            else lsThang +=',' + Thang[i];
        }
        if(Thang.length == 1)
            $('.TieuDe').html("Năng lực sản xuất tháng " + lsThang  + " của [ "+TenDonVi+" ]");
        else
            $('.TieuDe').html("Năng lực sản xuất các tháng " + lsThang + " của [ " + TenDonVi + " ]");
        LoadDataSource_DonVi(IdDonVi,lsThang);
    });
    $('#btnXemThangHienTai_DonVi').click(function () {
        var today = new Date();
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var lsThang = '';
        $('.TieuDe').html("Năng lực sản xuất tháng " + today.getMonth() + "/" + today.getFullYear() + " của [ " + TenDonVi + " ]");
        LoadDataSource_DonVi(IdDonVi,today.getMonth() + "/" + today.getFullYear());
    });
    $('#btnXemQuyHienTai_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var Quy = '';
        var lsThang = '';
        var today = new Date();
        if (today.getMonth() + 1 >= 1 && today.getMonth() + 1 <= 3) {
            Quy = '1'; lsThang = '1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 4 && today.getMonth() + 1 <= 6) {
            Quy = '2';lsThang = '4/' + today.getFullYear() + ',5/'+today.getFullYear() +',6/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 7 && today.getMonth() + 1 <= 9) {
            Quy = '3';lsThang = '7/' + today.getFullYear() + ',8/'+today.getFullYear() +',9/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 10 && today.getMonth() + 1 <= 12) {
            Quy = '4';lsThang = '10/' + today.getFullYear() + ',11/'+today.getFullYear() +',12/'+today.getFullYear();
        }
        $('.TieuDe').html("Năng lực sản xuất quý " + Quy + " của [ " + TenDonVi + " ]");
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_DonVi(IdDonVi,lsThang);
    });
    
    $('#btnXemNamHienTai_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var today = new Date();
        $('.TieuDe').html("Năng lực sản xuất theo năm " + @DateTime.Now.Year + " của [ " + TenDonVi + " ]");
        //LoadTable('1,2,3,4,5,6,7,8,9,10,11,12', dataSource_1);
        LoadDataSource_DonVi(IdDonVi,'1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear()+',4/'+today.getFullYear()+',5/'+today.getFullYear()+',6/'+today.getFullYear()+',7/'+today.getFullYear()+',8/'+today.getFullYear()+',9/'+today.getFullYear()+',10/'+today.getFullYear()+',11/'+today.getFullYear()+',12/'+today.getFullYear());
    });
    function LoadDataSource_Tong(lsThang) {
        $.ajax({
            url: '@Url.Action("GetData_Tong", "NLSX")',
            type: 'POST',
            data: { lsThang: lsThang },
            dataType: 'json',
            success: function (data) {
                  console.log(data);
                if(data!="")
                    LoadTable(lsThang, dataSource_1);
                else
                    LoadTable(lsThang, dataSource_1);
            }
        });
    }
    function LoadDataSource_DonVi(IdDonVi,lsThang) {
        $.ajax({
            url: '@Url.Action("GetData_DonVi", "NLSX")',
            type: 'POST',
            data: { IdDonVi: IdDonVi, lsThang: lsThang },
            dataType: 'json',
            success: function (data) {
                console.log(data);
                if(data!="")
                    LoadTable(lsThang, data);
                else
                    LoadTable(lsThang, dataSource_1);
            }
        });
    }
</script>